%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pymssql
Version:        2.1.1
Release:        1%{?dist}
Summary:        A simple database interface to MS-SQL for Python
Group:          Development/Languages
License:        LGPLv2+
URL:            http://pymssql.org/
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       python >= 2.6, python < 3.0, freetds >= 0.91, Cython >= 0.15
BuildRequires:  freetds-devel
BuildRequires:  python-devel
# https://github.com/pymssql/pymssql/commit/6206686235ae711047e933e559adb2b3235d4c97
Patch0:         pymssql-method-signature-mismatch-cython022.patch

%description
pymssql is the Python language extension module that provides access to
Microsoft SQL Servers from Python scripts. It is compliant with Python
DB-API 2.0 Specification.

%prep
%setup -q
%patch0 -p1 -b .pymssql-method-signature-mismatch-cython022
%{__sed} -i 's/\r//' ChangeLog

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE ChangeLog ChangeLog_highlights.rst README_building_and_developing.rst docs/*
%{python_sitearch}/*

%changelog
* Thu Jul  8 2010 Ray Van Dolson <rayvd@fedoraproject.org> - 1.9.908-3
- Updated for successful build.

* Thu Jul  8 2010 Ray Van Dolson <rayvd@fedoraproject.org> - 1.9.908-2
- Updated for successful build.

* Thu Jul  8 2010 Ray Van Dolson <rayvd@fedoraproject.org> - 1.9.908-1
- Updated to 1.9.908 for EL-6 / Fedora

* Tue Aug 11 2009 Ray Van Dolson <rayvd@fedoraproject.org> - 1.0.2-1
- Updated to 1.0.2

* Thu Apr 09 2009 Ray Van Dolson <rayvd@fedoraproject.org> - 1.0.1-2
- De-versioned Build Requirements to work around 
  https://fedorahosted.org/fedora-infrastructure/ticket/1202

* Thu Apr 09 2009 Ray Van Dolson <rayvd@fedoraproject.org> - 1.0.1-1
- Rebased against upstream (#492802)

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.8.0-3
- Rebuild for Python 2.6

* Wed Aug 20 2008 Ray Van Dolson <rayvd@fedoraproject.org> - 0.8.0-2
- Fixed some CRLF's in text files.
- Added python-devel BuildReq

* Fri Jul 08 2008 Ray Van Dolson <rayvd@fedoraproject.org> - 0.8.0-1
- Initial package
